%if 0%{?fedora} < 13 || 0%{?rhel} < 6
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%global tarball_name vaporize

Name:           python-vaporize
Version:        0.2.1
Release:        2%{?dist}
Summary:        A clean and consistent library for the Rackspace Cloud/OpenStack

Group:          Development/Languages
License:        MIT
URL:            https://github.com/kolanos/vaporize
Source0:        http://pypi.python.org/packages/source/v/vaporize/%{tarball_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools
Requires:	python-requests
%description
There are already a number of good Python options out there for accessing the
Rackspace Cloud API. Unfortunately they have one thing in common: none of them
use the same pattern. This means a lot of wasted time looking things up in
the documentation. The other problem is that there is a library for each group
of sendpoints on the Rackspace cloud API. There's a libarry for CloudServers,
one for CloudFiles, one for CloudDNS and one for CloudLoadBalancers. Which menas
there's a lot of redundant code, requiring four imports and four instantiations
and it's up to you to smooth over incompatibilities between them.

So Vaporize was born. One library for one API.

%prep
%setup -qn %{tarball_name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Mon Aug 27 2012 Daniel Bruno dbruno@fedoraproject.org - 0.0.0-2
- First RPM Release
